## Apache Zeta Components Manual :: Docs For Class ezcMvcMailRawRequest

### MvcMailTiein::ezcMvcMailRawRequest

### Class ezcMvcMailRawRequest

Class that encapsulates a parsed e-mail structure.

Source for this file: /MvcMailTiein/src/structs/request_raw_mail.php

    ezcBaseStruct
       |
       --ezcMvcMailRawRequest

Version: | //autogentag//

### Member Variables

public ezcMail | `$mail` Contains a reference to a parsed email structure

### Method Summary

public static ezcMvcMailRawRequest | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcMailRawRequest | `__construct( [ $mail = null] )` Constructs a new ezcMvcMailRawRequest.

### Methods

#### __set_state

static ezcMvcMailRawRequest __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcMailRawRequest __construct( [ezcMail $mail = null] )

Constructs a new ezcMvcMailRawRequest.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$mail` | ezcMail |

Documentation generated by phpDocumentor 1.4.3